Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "9aa2a278-9c9e-4e76-9db4-cba895099dc8",
"user_id": "218301c8-9ab2-45df-bd9d-2a5412eafc98",
"user_planning_slot_type_id": "ba88369f-fb02-4f28-8233-d455b9146619",
"date_from": "2026-11-06T21:54:12.7797029+00:00",
"date_to": "2026-11-06T21:54:12.7797029+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-06T21:54:12.7797029+00:00"
}